import org.dom4j.*;
import org.dom4j.xpath.*;

def String xmlInput  = null;


xmlInput = new String(inMessage.bodyText);
Document document = DocumentHelper.parseText(xmlInput);

Node userNode = document.selectSingleNode("/RESULT/USER");
Node productNode = document.selectSingleNode("/RESULT/PRODUCT");
Node qtyNode = document.selectSingleNode("/RESULT/QTY");
Node clientNode = document.selectSingleNode("/RESULT/CLIENT");
Node idOrderNode = document.selectSingleNode("/RESULT/ID_ORDER");

String user = ( userNode != null ? userNode.getText() : null );
String product = ( productNode !=null ?  productNode.getText() : null );
String qty = ( qtyNode != null ? qtyNode.getText() : null );
String client = ( clientNode != null ? clientNode.getText() : null );
String idOrder = ( idOrderNode != null ? idOrderNode.getText() : null );

System.out.println(" --> StoringOrder ["+idOrder+"]");

StringBuffer result = new StringBuffer();
result.append("<SOAP-ENV:Envelope xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\">");
result.append("<SOAP-ENV:Body>");
result.append("<ns1:StoreProcessRequest xmlns:ns1=\"urn:eng:spagic:processes:StoreProcess:v0\">");

result.append("<client>" + client + "</client>\n");
result.append("<id_order>" + idOrder + "</id_order>\n");
result.append("<product>" + product + "</product>\n");
result.append("<qty>" + qty + "</qty>\n");

result.append("</ns1:StoreProcessRequest>");
result.append("</SOAP-ENV:Body>");
result.append("</SOAP-ENV:Envelope>");

outMessage.bodyText = result.toString();
